##############################################################################
#
# resource_lib.tcl
#
#    P5 Resource Library
#
#    See the file "license.txt" for information on usage and
#    redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
#    Rcsid: @(#)$Id: resourse_lib.tcl,v 1.138 2019/03/14 10:30:18 jd Exp $
#
##############################################################################

proc getResourceParamater { name } {

    switch -exact -- $name {
        Device {
            keylset resource editmenu         "label mount reset importvol enable disable"
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "cdisk rmdisk"
            keylset resource buttonsPro       "label mount"
            keylset resource label.section    0
            keylset resource label.text       [translate "Label Volume(s)"]...
            keylset resource label.stext      [translate "Label"]
            keylset resource label.action     [session::url /system/label_device.tdp]
            keylset resource label.function   "resProc3('label')"
            keylset resource mount.section    0
            keylset resource mount.text       [translate "Mount/Unmount Volume"]...
            keylset resource mount.stext      [translate "Mount/Unmount"]
            keylset resource mount.action     [session::url /system/mount_device.tdp]
            keylset resource mount.function   "resProc3('mount')"
            keylset resource create.section   0
            keylset resource create.text      [translate "Add manually"]...
            keylset resource create.action    [session::url /system/device_manager.tdp]
            keylset resource create.function  "newElement1('newdev','manual')"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/device_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource cdisk.section     1
            keylset resource cdisk.stext       [translate "New Tape Drive"]
            keylset resource cdisk.function    "newElement1('newdev','auto')"
            keylset resource rmdisk.stext      [translate "New Removable Disk"]
            keylset resource rmdisk.action     [session::url /system/device_setup/removabledisk_page.tdp]
            keylset resource rmdisk.function   "newElement1('Device','rmdisk')"
            keylset resource importvol.section   1
            keylset resource importvol.text      [translate "Import Volume"]...
            keylset resource importvol.action    [session::url /system/import_device_volume.tdp]
            keylset resource importvol.function  "resProc3('importvol')"
            keylset resource reset.section    1
            keylset resource reset.text       [translate "Drive Reset"]...
            keylset resource reset.action     [session::url /system/reset_device.tdp]
            keylset resource reset.function   "resProc3('reset')"
            keylset resource remove.section   0
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        newdev {
            keylset resource submenu         "auto manual"
            keylset resource auto.section     0
            keylset resource auto.text        [translate "Tape Drive Wizard"]...
            keylset resource auto.action      [session::url /system/device_setup/device_page_1.tdp]
            keylset resource auto.function    "newElement1('newdev','auto')"
            keylset resource manual.section   0
            keylset resource manual.text      [translate "Add manually"]...
            keylset resource manual.action    [session::url /system/device_manager.tdp]
            keylset resource manual.function  "newElement1('newdev','manual')"
        }
        Database {
            keylset resource editmenu         "fields indexck"
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create"
            keylset resource buttonsPro       "indexck"
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/database_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/database_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource fields.section   1
            keylset resource fields.text      [translate "Fields"]...
            keylset resource fields.action    [session::url /system/database_fields.tdp]
            keylset resource fields.function  "resProc3('fields')"
            keylset resource indexck.section  0
            keylset resource indexck.text     [translate "Check Database"]...
            keylset resource indexck.stext    [translate "Check"]
            keylset resource indexck.action   [session::url /system/customer_index/index_check_1.tdp]
            keylset resource indexck.function "resProc3('indexck')"
            keylset resource indexup.section  1
            keylset resource indexup.text     [translate "Convert Database"]...
            keylset resource indexup.stext    [translate "Convert"]
            keylset resource indexup.action   [session::url /system/customer_index/index_update.tdp]
            keylset resource indexup.function "resProc3('indexup')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3('remove')"
        }
        Filter {
            keylset resource editmenu         "duplicate enable disable"
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/filter_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/filter_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource duplicate.section  0
            keylset resource duplicate.text     [translate "Duplicate"]...
            keylset resource duplicate.action   [session::url /system/resource_duplicate.tdp]
            keylset resource duplicate.function "resProc3('duplicate')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        License {
            keylset resource editmenu         ""
            keylset resource filemenu         "create remove open import"
            keylset resource buttonsObj       "create import remove"
            keylset resource buttonsPro       "portal trial"
            keylset resource create.section   0
            keylset resource create.text      [translate "Add manually"]...
            keylset resource create.stext     [translate "Add manually"]
            keylset resource create.action    [session::url /system/license_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/license_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource trial.section     0
            keylset resource trial.text        [translate "Get Trial License"]...
            keylset resource trial.stext       [translate "Get Trial License"]
            keylset resource trial.action      [session::url /system/license_trial.tdp]
            keylset resource trial.function    "commonProc('License','trial')"
            keylset resource portal.section    0
            keylset resource portal.text       [translate "Archiware Portal"]...
            keylset resource portal.stext      [translate "Archiware Portal"]
            keylset resource portal.action     [session::url /system/license_portal.tdp]
            keylset resource portal.function   "commonProc('License','portal')"
            keylset resource import.section    1
            keylset resource import.text       [translate "Import from File"]
            keylset resource import.stext      [translate "Import from File"]
            keylset resource import.function   "importElement()"
            keylset resource export.section    0
            keylset resource export.text       [translate "Export"]
            keylset resource export.function   "exportElement()"
        }
        Client {
            keylset resource editmenu         "ping restart enable disable"
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create"
            keylset resource buttonsPro       "ping"
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/client_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/client_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource ping.section     0
            keylset resource ping.text        [translate "Ping Client"]...
            keylset resource ping.stext       [translate "Ping"]
            keylset resource ping.action      [session::url /system/client_ping.tdp]
            keylset resource ping.function    "resProc3('ping')"
            keylset resource restart.section  0
            keylset resource restart.text     [translate "Restart Client"]...
            keylset resource restart.action   [session::url /system/client_restart.tdp]
            keylset resource restart.function "resProc3('restart')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        ObjectStore {
            keylset resource editmenu         ""
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create ccloud"
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New Service"]
            keylset resource create.action    [session::url /system/objectstore_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/objectstore_manager.tdp]
            keylset resource open.function    "resProc3m('open')"
            keylset resource ccloud.stext      [translate "Add Cloud Storage"]
            keylset resource ccloud.action     [session::url /system/device_setup/cloud_page.tdp]
            keylset resource ccloud.function   "newElement1('newjb','cloud')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
        }
        Server {
            keylset resource editmenu         "enable disable"
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create remove"
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/server_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/server_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource remove.section   1
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        Workstation {
            keylset resource editmenu         "enable disable"
            keylset resource filemenu         "create open remove"
            keylset resource buttonsObj       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/workstation_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/workstation_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource remove.section   1
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        Backup2Go {
            keylset resource editmenu         "enable disable"
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create"
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/backup2go_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.stext       [translate "Edit"]
            keylset resource open.action      [session::url /system/backup2go_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        Volume {
            keylset resource editmenu         "slotexp label clocopy migvol syncvol enable disable jobvol"
            keylset resource filemenu         "remove open"
            keylset resource buttonsObj       ""
            keylset resource buttonsPro       "label slotexp"
            keylset resource create.section   0
            keylset resource create.text      ""
            keylset resource create.action    [session::url /system/volume_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/volume_manager.tdp]
            keylset resource open.function    "resProc3m('open')"
            keylset resource clocopy.section  0
            keylset resource clocopy.text     [translate "Regenerate Volume"]...
            keylset resource clocopy.action   [session::url /system/volume_clocopy.tdp]
            keylset resource clocopy.function "resProc3('clocopy')"
            keylset resource migvol.section   0
            keylset resource migvol.text      [translate "Migrate Volume(s)"]...
            keylset resource migvol.action    [session::url /system/volume_migrate.tdp]
            keylset resource migvol.function  "resProc3('migvol')"
            keylset resource syncvol.section  1
            keylset resource syncvol.text     [translate "Re-sync Cloud Volume(s)"]...
            keylset resource syncvol.action   [session::url /system/volume_sync.tdp]
            keylset resource syncvol.function "resProc3m('syncvol')"
            keylset resource jobvol.section   1
            keylset resource jobvol.text      [translate "Job History"]...
            keylset resource jobvol.action    [session::url /system/volume_joblist.tdp]
            keylset resource jobvol.function  "resProc3('jobvol')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.action    [session::url /system/volume_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource label.section    0
            keylset resource label.text       [translate "Label Volume(s)"]...
            keylset resource label.stext      [translate "Label"]
            keylset resource label.action     [session::url /system/volume_label.tdp]
            keylset resource label.function   "resProc3m('label')"
            keylset resource slotexp.section  0
            keylset resource slotexp.text     [translate "Unload to Mail Slot"]...
            keylset resource slotexp.stext    [translate "Unload"]
            keylset resource slotexp.action   [session::url /system/unload_volume.tdp]
            keylset resource slotexp.function "resProc3m('slotexp')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        LoginArea {
            keylset resource editmenu         "enable disable"
            keylset resource filemenu         "create remove open duplicate"
            keylset resource buttonsObj       "create"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/loginarea_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/loginarea_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource duplicate.section  1
            keylset resource duplicate.text     [translate "Duplicate"]...
            keylset resource duplicate.action   [session::url /system/resource_duplicate.tdp]
            keylset resource duplicate.function "resProc3('duplicate')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        UserPref {
            keylset resource editmenu         "enable disable"
            keylset resource filemenu         "create remove open duplicate"
            keylset resource buttonsObj       "create"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/userpref_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/userpref_manager.tdp]
            keylset resource open.function    "resProc3m('open')"
            keylset resource duplicate.section  1
            keylset resource duplicate.text     [translate "Duplicate"]...
            keylset resource duplicate.action   [session::url /system/resource_duplicate.tdp]
            keylset resource duplicate.function "resProc3('duplicate')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        GroupPref {
            keylset resource editmenu         "enable disable"
            keylset resource filemenu         "create remove open duplicate"
            keylset resource buttonsObj       "create"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/grouppref_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/grouppref_manager.tdp]
            keylset resource open.function    "resProc3m('open')"
            keylset resource duplicate.section  1
            keylset resource duplicate.text     [translate "Duplicate"]...
            keylset resource duplicate.action   [session::url /system/resource_duplicate.tdp]
            keylset resource duplicate.function "resProc3('duplicate')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        Translation {
            keylset resource editmenu         "exportlang importlang testlang refresh"
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create remove"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/translat_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/translat_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource exportlang.section   1
            keylset resource exportlang.text      [translate "Export Translation"]...
            keylset resource exportlang.action    [session::url /system/translat_export.tdp]
            keylset resource exportlang.function  "commonProc('Translation','exportlang')"
            keylset resource importlang.section   0
            keylset resource importlang.text      [translate "Import Translation"]...
            keylset resource importlang.action    [session::url /system/translat_import.tdp]
            keylset resource importlang.function  "commonProc('Translation','importlang')"
            keylset resource testlang.section   1
            keylset resource testlang.text      [translate "Test Translation"]...
            keylset resource testlang.action    [session::url /system/translat_test.tdp]
            keylset resource testlang.function  "commonProc('Translation','testlang')"
            keylset resource refresh.section  1
            keylset resource refresh.text     [translate "Refresh Cache"]...
            keylset resource refresh.action   [session::url /system/translat_refresh.tdp]
            keylset resource refresh.function "commonProc('Translation','refresh')"
        }
        Pool {
            keylset resource editmenu         "detach attach enable disable"
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/pool_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/pool_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3('remove')"
            keylset resource detach.section    1
            keylset resource detach.text       [translate "Detach - Prepare Data for Transfer"]...
            keylset resource detach.action     [session::url /system/pool_detach.tdp]
            keylset resource detach.function   "resProc3('detach')"
            keylset resource attach.section    0
            keylset resource attach.text       [translate "Attach - Finish Data Transfer"]...
            keylset resource attach.action     [session::url /system/pool_attach.tdp]
            keylset resource attach.function   "resProc3('attach')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        Jukebox {
            keylset resource editmenu         "label inventory loadslot importvol reset enable disable"
            keylset resource filemenu         "remove open"
            keylset resource buttonsObj       "ccloud cdisk cjb"
            keylset resource buttonsPro       "label inventory loadslot"
            keylset resource label.section    0
            keylset resource label.text       [translate "Label Volume(s)"]...
            keylset resource label.stext      [translate "Label"]
            keylset resource label.action     [session::url /system/label_jukebox.tdp]
            keylset resource label.function   "resProc3('label')"
            keylset resource inventory.section   0
            keylset resource inventory.text      [translate "Take Library Inventory"]...
            keylset resource inventory.stext     [translate "Inventory"]
            keylset resource inventory.action    [session::url /system/inventory_jukebox.tdp]
            keylset resource inventory.function  "resProc3('inventory')"
            keylset resource ccloud.stext      [translate "Add Cloud Storage"]
            keylset resource ccloud.action     [session::url /system/device_setup/cloud_page.tdp]
            keylset resource ccloud.function   "newElement1('newjb','cloud')"
            keylset resource cdisk.stext      [translate "New Disk Storage"]
            keylset resource cdisk.action     [session::url /system/device_setup/disk_page.tdp]
            keylset resource cdisk.function   "newElement1('newjb','disk')"
            keylset resource cjb.stext        [translate "New Tape Library"]
            keylset resource cjb.action       [session::url /system/jukebox_setup/jukebox_page_1.tdp]
            keylset resource cjb.function     "newElement1('newjb','auto')"
            keylset resource open.section     1
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/jukebox_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource loadslot.section   0
            keylset resource loadslot.text      [translate "Load/Unload Slot"]...
            keylset resource loadslot.stext     [translate "Load/Unload"]
            keylset resource loadslot.action    [session::url /system/load_jukebox_slot.tdp]
            keylset resource loadslot.function  "resProc3('loadslot')"
            keylset resource importvol.section   0
            keylset resource importvol.text      [translate "Import Volume"]...
            keylset resource importvol.action    [session::url /system/import_jukebox_volume.tdp]
            keylset resource importvol.function  "resProc3('importvol')"
            keylset resource reset.section    1
            keylset resource reset.text       [translate "Reset Library"]...
            keylset resource reset.action     [session::url /system/reset_jukebox.tdp]
            keylset resource reset.function   "resProc3('reset')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        newjb {
            keylset resource submenu         "disk auto"
            keylset resource disk.section     0
            keylset resource disk.text        [translate "Disk Storage"]...
            keylset resource disk.action      [session::url /system/device_setup/disk_page.tdp]
            keylset resource disk.function    "newElement1('newjb','disk')"
            keylset resource cloud.section     0
            keylset resource cloud.text        [translate "Cloud Storage"]...
            keylset resource cloud.action      [session::url /system/device_setup/cloud_page.tdp]
            keylset resource cloud.function    "newElement1('newjb','cloud')"
            keylset resource auto.section     0
            keylset resource auto.text        [translate "Tape Library Wizard"]...
            keylset resource auto.action      [session::url /system/jukebox_setup/jukebox_page_1.tdp]
            keylset resource auto.function    "newElement1('newjb','auto')"
        }
        ArchivePlan {
            keylset resource editmenu         "duplicate enable disable"
            keylset resource filemenu         "create remove open wizard"
            keylset resource buttonsObj       "create wizard"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/archiveplan_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource wizard.section   1
            keylset resource wizard.text      [translate "Setup Assistant"]...
            keylset resource wizard.stext     [translate "Setup Assistant"]
            keylset resource wizard.function  "markToolRow('archive:6','archive_setup')"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/archiveplan_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource duplicate.section  0
            keylset resource duplicate.text     [translate "Duplicate"]...
            keylset resource duplicate.action   [session::url /system/resource_duplicate.tdp]
            keylset resource duplicate.function "resProc3('duplicate')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        BackupPlan {
            keylset resource editmenu         "duplicate enable disable"
            keylset resource filemenu         "create remove open wizard"
            keylset resource buttonsObj       "create wizard"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/backupplan_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource wizard.section   0
            keylset resource wizard.text      [translate "Setup Assistant"]...
            keylset resource wizard.stext     [translate "Setup Assistant"]
            keylset resource wizard.function  "markToolRow('backup:5','backup_setup')"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/backupplan_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource duplicate.section  0
            keylset resource duplicate.text     [translate "Duplicate"]...
            keylset resource duplicate.action   [session::url /system/resource_duplicate.tdp]
            keylset resource duplicate.function "resProc3('duplicate')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        BackupTask {
            keylset resource editmenu         ""
            keylset resource filemenu         "create remove open"
            keylset resource buttonsObj       "create remove open"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.action    [session::url /system/backuptask_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/backuptask_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
        }
        SyncPlan {
            keylset resource editmenu         "duplicate enable disable"
            keylset resource filemenu         "create remove open wizard"
            keylset resource buttonsObj       "create wizard"
            keylset resource buttonsPro       ""
            keylset resource create.section   0
            keylset resource create.text      [translate "New"]...
            keylset resource create.stext     [translate "New"]
            keylset resource create.action    [session::url /system/syncplan_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource wizard.section   0
            keylset resource wizard.text      [translate "Setup Assistant"]...
            keylset resource wizard.stext     [translate "Setup Assistant"]
            keylset resource wizard.function  "markToolRow('synchronize:0','sync_starter')"
            keylset resource open.section     0
            keylset resource open.text        [translate "Edit"]...
            keylset resource open.action      [session::url /system/syncplan_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource duplicate.section  0
            keylset resource duplicate.text     [translate "Duplicate"]...
            keylset resource duplicate.action   [session::url /system/resource_duplicate.tdp]
            keylset resource duplicate.function "resProc3('duplicate')"
            keylset resource remove.section   0
            keylset resource remove.text      [translate "Delete"]...
            keylset resource remove.stext     [translate "Delete"]
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3m('remove')"
            keylset resource enable.section   1
            keylset resource enable.text      [translate "Enable"]
            keylset resource enable.function  "modeElement('enable')"
            keylset resource disable.section   0
            keylset resource disable.text      [translate "Disable"]
            keylset resource disable.function  "modeElement('disable')"
        }
        Job {
            keylset resource editmenu         "archive monitor"
            keylset resource filemenu         "create remove open"
            keylset resource create.section   0
            keylset resource create.text      "New"
            keylset resource create.action    [session::url /system/job_manager.tdp]
            keylset resource create.function  "newElement()"
            keylset resource open.section     0
            keylset resource open.text        "Job Details..."
            keylset resource open.action      [session::url /system/job_manager.tdp]
            keylset resource open.function    "resProc3('open')"
            keylset resource archive.section  0
            keylset resource archive.text     "Archive Job Entry..."
            keylset resource archive.action   [session::url /system/resource_archive.tdp]
            keylset resource archive.function "resProc3('archive')"
            keylset resource monitor.section  1
            keylset resource monitor.text     "Monitor Running Job(s)..."
            keylset resource monitor.action   [session::url /system/jobmonitor/index.tdp]
            keylset resource monitor.function "jobMonitor(this)"
            keylset resource remove.section   0
            keylset resource remove.text      "Delete Job..."
            keylset resource remove.action    [session::url /system/resource_remove.tdp]
            keylset resource remove.function  "resProc3('remove')"
        }
        Log {
            keylset resource editmenu         ""
            keylset resource filemenu         "open"
            keylset resource open.section     0
            keylset resource open.text        [translate "Log Details"]...
            keylset resource open.action      [session::url /system/log_manager/log.tdp]
            keylset resource open.function    "resProc3('open')"
        }
        CustIndex {
            keylset resource ixck.action      [session::url /system/restore_config.tdp]
        }
        Password {
            keylset resource change.action      [session::url /system/password_change.tdp]
        }
        JobMonitor {
            keylset resource editmenu         ""
            keylset resource filemenu         ""
            keylset resource buttonsObj       ""
            keylset resource buttonsPro       "stop start"
            keylset resource stop.stext       [translate "Stop/Cancel"]
            keylset resource stop.function    "stopcancel(this)"
            keylset resource start.stext      [translate "Start now"]
            keylset resource start.function   "startnow(this)"
        }
        default {
            keylset resource editmenu         ""
            keylset resource filemenu         ""
        }
   }
   return $resource
}

##############################################################################
