//#############################################################################
//
//  rsrc.js
//
//    JavaScript Client Library
//
//    See the file "license.txt" for information on usage and
//    redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
//
//
//#############################################################################

// read table head definition
Ext.define('colHead',{
    extend: 'Ext.data.Model',
    fields: [
        {name: 'text',  type: 'string', defaultValue: ''},
        {name: 'dataIndex',  type: 'string', defaultValue: ''},
        {name: 'dataType',  type: 'string', defaultValue: 'string'},
        {name: 'dateFormat',  type: 'string', defaultValue: 'U'},
        {name: 'sortable',  type: 'boolean', defaultValue: true},
        {name: 'width',  type: 'int', defaultValue: 80},
        {name: 'flex',  type: 'int', defaultValue: 0},
        {name: 'renderer',  type: 'string', defaultValue: ''},
        {name: 'align',  type: 'string', defaultValue: 'left'},
        {name: 'filter',  type: 'string', defaultValue: true},
        {name: 'menuDisabled',  type: 'boolean', defaultValue: false},
        {name: 'hidden',  type: 'boolean', defaultValue: false},
        {name: 'summaryType',  type: 'string', defaultValue: ''},
        {name: 'summaryRenderer',  type: 'string', defaultValue: ''}
    ]
});

Ext.onReady(function() {
    elementCount = '';

    startAppListing();
});

function startAppListing() {

    initState();
    getData();

}

function initState() {

    //Ext.state.Manager.setProvider(Ext.create('Ext.state.LocalStorageProvider'));

    //Ext.state.Manager.setProvider(Ext.create('Ext.state.CookieProvider'));

    /*
    var restype = document.hammerForm.elementType.value;

    Ext.state.Manager.setProvider(new Ext.ux.state.HttpProvider({
         url:'_dummy_?#state'
        ,user:'23635041'
        ,session:restype
        ,id:'1'
        ,readBaseParams:{caller:'readState'}
        ,saveBaseParams:{caller:'saveState'}
        ,autoRead:false
    //	,logFailure:true
    //	,logSuccess:true
    }));
    */
}

function getData() {

    browser_ressource = document.hammerForm.browser_ressource.value;

    // read data in XML format
    waitBox();
    Ext.Ajax.request({
        url: browser_ressource,
        method: 'POST',
        timeout: 90000,
        params: { 
            caller: 'ajax',
            restype: restype
        },
        scope: this,
        success:function(response, options) {
            hideWait();
            var xmldata = response.responseXML;
            doListing(xmldata);
        }
    });

}

function doListing(xmldata) {

    var restype  = Ext.DomQuery.selectValue('param > restype', xmldata);
    var restext  = Ext.DomQuery.selectValue('param > restext', xmldata);
    var rescount = Ext.DomQuery.selectValue('param > rescount', xmldata);

    var resview = 'resview-'+restype

    // context menu ***********************************************************

    Ext.define('m_contextmenu',{
        extend: 'Ext.data.Model',
        fields: [
            {name: 'text',  type: 'string', defaultValue: ''},
            {name: 'func',  type: 'string', defaultValue: ''}
        ]
    });

    var store_contextmenu = new Ext.data.Store({
        model: 'm_contextmenu',
        data: xmldata,
        proxy: {
            type: 'memory',
            reader: {
                type: 'xml',
                record: 'contextmenu'
            }
        }
    });

    var menus_attr = [];
    for(var i=0;i<store_contextmenu.getTotalCount();i++){
        var menu_attr = {};
        var mtext = store_contextmenu.getAt(i).data['text'];
        if ( mtext == '-' ) { 
            menu_attr['xtype'] = 'menuseparator';
        } else {
            menu_attr['text']    = mtext;
            menu_attr['func']    = store_contextmenu.getAt(i).data['func'];
            menu_attr['handler'] = function(){eval(this.func);};
        }
        // add to column array
        menus_attr.push(menu_attr);
    };

    menuContext = new Ext.menu.Menu({
        items: menus_attr
    });

    // gear menu ***********************************************************

    var store_gearmenu = new Ext.data.Store({
        model: 'm_contextmenu',
        data: xmldata,
        proxy: {
            type: 'memory',
            reader: {
                type: 'xml',
                record: 'gearmenu'
            }
        }
    });

    var menus_attr = [];
    for(var i=0;i<store_gearmenu.getTotalCount();i++){
        var menu_attr = {};
        var mtext = store_gearmenu.getAt(i).data['text'];
        if ( mtext == '-' ) { 
            menu_attr['xtype'] = 'menuseparator';
        } else {
            menu_attr['text']    = mtext;
            menu_attr['func']    = store_gearmenu.getAt(i).data['func'];
            menu_attr['handler'] = function(){eval(this.func);};
        }
        // add to column array
        menus_attr.push(menu_attr);
    };

    menuGear = new Ext.menu.Menu({
        items: menus_attr
    });

    // bottom toolbar ***********************************************************

    var store_bottombar = new Ext.data.Store({
        model: 'm_contextmenu',
        data: xmldata,
        proxy: {
            type: 'memory',
            reader: {
                type: 'xml',
                record: 'bottombar'
            }
        }
    });

    var tbar_attr = [{ xtype : 'tbspacer', width: 5 },{
		iconCls: 'x-fa fa-bars cogicon',
    	width: 55, 
		listeners: {
			click: function(me, e, eOpts) {
                e.stopEvent();
                if (menuGear.items && menuGear.items.length > 0) menuGear.showBy(me);
                return false;
			}          
		}
    }];

    for(var i=0;i<store_bottombar.getTotalCount();i++){
        var but_attr = {};
        var mtext = store_bottombar.getAt(i).data['text'];
        if ( mtext == '-' ) { 
            but_attr['xtype'] = 'tbfill';
        } else {
            but_attr['text']    = mtext;
            but_attr['func']    = store_bottombar.getAt(i).data['func'];
            but_attr['handler'] = function(obj,eve) {
            	var fn = window[this.func]
            	if ( typeof fn === 'function' ) {
	            	fn(obj,eve);
            	} else {
            		eval(this.func)
            	}
            };
        }
        // add to column array
        tbar_attr.push(but_attr);
    };

    tbar_attr.push({ xtype : 'tbspacer', width: 5 });
    
	fixButtonBar = new Ext.Toolbar({
		dock: 'bottom',
		defaultButtonUI: 'default',
	    padding: '10 0 10 0',  
		border: 0,
		defaults: {
			xtype : 'button',
			scale: 'medium',
			cls: 'btn-footer-button'
		},
		items: tbar_attr
	});

    // define and read column header
    //
    var gridHeaderStore = new Ext.data.Store({
        model: 'colHead',
        data: xmldata,
        proxy: {
            type: 'memory',
            reader: {
                type: 'xml',
                record: 'col'
            }
        }
    });
    
    var cols_attr = [];
    var cols_field = [];
    for(var i=0;i<gridHeaderStore.getTotalCount();i++){
        var col_attr = {};
        var col_field = {};
        if (!gridHeaderStore.getAt(i).data['hidden']) {
			col_attr['stateId']  = 'state_id_' + gridHeaderStore.getAt(i).data['dataIndex'];
            col_attr['text'] = gridHeaderStore.getAt(i).data['text'];
            col_attr['dataIndex'] = gridHeaderStore.getAt(i).data['dataIndex'];
            col_attr['sortable']  = gridHeaderStore.getAt(i).data['sortable'];
            col_attr['width']     = gridHeaderStore.getAt(i).data['width'];
            col_attr['flex']      = gridHeaderStore.getAt(i).data['flex'];
            col_attr['renderer']  = eval(gridHeaderStore.getAt(i).data['renderer']);
            col_attr['align']     = gridHeaderStore.getAt(i).data['align'];
            col_attr['menuDisabled']    = gridHeaderStore.getAt(i).data['menuDisabled'];
            col_attr['summaryType']     = window[gridHeaderStore.getAt(i).data['summaryType']];
            col_attr['summaryRenderer'] = window[gridHeaderStore.getAt(i).data['summaryRenderer']];
            eval('var filterObj=' +  gridHeaderStore.getAt(i).data['filter']);
            col_attr['filter']    = filterObj;
            // add to column array
            cols_attr.push(col_attr);
        }
        // add to field array
        col_field['name'] = gridHeaderStore.getAt(i).data['dataIndex'];
        col_field['type'] = gridHeaderStore.getAt(i).data['dataType'];
        if ( col_field['type'] == 'date' ) {
            col_field['dateFormat'] = gridHeaderStore.getAt(i).data['dateFormat'];
        }
        cols_field.push(col_field);
    };

    //console.log(cols_field);
    
    // read table body data
    //
    Ext.define('body',{
        extend: 'Ext.data.Model',
        fields: cols_field
    });
    Ext.define('Body.view.RsrcGrid', {
        extend: 'Ext.grid.Panel',
        alias:'widget.rsrcgrid',
        multiSelect: true,
        stateful: true,
        border: false,
        plugins: 'gridfilters',
        listeners : {
            itemdblclick: function(dv, record, item, index, e) {
                dblClickRes(record.get('name'));
            },
            itemcontextmenu: function(view, rec, node, index, e) {
                e.stopEvent();
                if (menuContext.items && menuContext.items.length > 0) menuContext.showAt(e.getXY());
                return false;
            }
        },
        initComponent: function() {
            var me = this;
    
            Ext.applyIf(me, {
                columns: cols_attr,
                features: [{
                    ftype: 'summary'
                }],
                store: new Ext.data.Store({
                    model: 'body',
                    data: xmldata,
                    proxy: {
                        type: 'memory',
                        reader: {
                            type: 'xml',
                            record: 'row'
                        }
                    }
                }),
                viewConfig: {
                }
            });    
            me.callParent(arguments);
        }

    });    

   tabPanel = new Ext.TabPanel({  
        deferredRender:true,
        activeTab: 0,
        margins: '0 0 0 0',  
        border: '0 0 0 0',
        plain: true,
        defaults:{
            listeners: {
                added: function(tab, tabPanel, index){
                    var tabId    = tab.id;
                    var tabTitle = tab.title
                    var viewtabs = Ext.state.Manager.get(resview,[]);
                    doesExist = false;
                    Ext.iterate(viewtabs, function(key, value) {
                        if ( key.id == tabId) {
                            doesExist = true;
                        }
                    });
                    if (!doesExist) {
                        viewtabs.push({ title: tabTitle, id: tabId });
                        Ext.state.Manager.set(resview,viewtabs);
                    }
                }
            }
        },
        dockedItems: fixButtonBar
    });
    
    function addview(tabTitle,tabId) {
        var nr = 0;    
        var doesExist = Ext.getCmp(tabId);
        while(!tabId || doesExist) {
            nr++
            var tabId = restype + '-view-' + nr;
            var doesExist = Ext.getCmp(tabId);
        }
        var gridId   = tabId + '-grid';
        var viewGrid = Ext.create('Body.view.RsrcGrid', {
            id: gridId,
            stateId: gridId,
            applyState: function( state ) {
                var me = this;
                if (state) {
                    columns=me.columns;  // this is needed because base setState - destroy this columns 
                    me.fstate=state;     // this will be the state for the feature which do not get the event  
                    me.columns=columns;  // now base class have done it work and we restore the columns  
                    var o = Ext.apply({}, state);
                    Ext.grid.GridPanel.superclass.applyState.call(this, o);
                }
            }
        });
        //viewGrid.getView().on('refresh', function() {console.log('refresh'); });

        var newTab = tabPanel.add({
            id: tabId,
            title: tabTitle,
            margins: '0 0 0 0',  
            border: '0 0 0 0',
            layout: 'fit',
            closable:false,
            setActive: true,
            items: viewGrid,
            tabConfig: {
                stateful: false,
                xtype: 'ux.menutab',
                menu: [{
                    text: $$('New View'),
                    handler: function(){
                        var newTab = addview($$('New View'));
                        if (newTab) tabPanel.setActiveTab(newTab);
                    }
                },{
                    text: $$('Change Title'),
                    handler: function(){
                        var tab      = tabPanel.getActiveTab();
                        var tabId    = tab.id;
                        var tabTitle = tab.title; 
                        Ext.Msg.prompt($$('View Title'), $$('Please enter a new view title'), function(btn, title){
                            if (btn == 'ok'){
                                tab.setTitle(title);
                                var viewtabs = Ext.state.Manager.get(resview,[]);
                                Ext.each(viewtabs, function(key, idx) {
                                    if ( key.id == tabId) {
                                        //viewtabs[idx].title = title;
                                        key.title = title;
                                    }
                                });
                                Ext.state.Manager.set(resview,viewtabs);
                            }
                        }, '','', tabTitle);                        
                    }
                },{
                    text: $$('Delete'),
                    handler: function(){
                        var tab      = tabPanel.getActiveTab();
                        var tabId    = tab.id;
                        tabPanel.remove(tab);
                        var viewtabs = Ext.state.Manager.get(resview,[]);
                        Ext.each(viewtabs, function(key, idx) {
                            if ( key && key.id == tabId) {
                                viewtabs.splice(idx,idx);
                            }
                        });
                        Ext.state.Manager.set(resview,viewtabs);
                    }
                }]
            }
        });
        return newTab;
    }
        
    // load view tabs from state manager
    // if not set load default tabs
    var viewtabs = Ext.state.Manager.get(resview);
    if (viewtabs) {
        //iterate overall stored tabs and create views
        Ext.iterate(viewtabs, function(key, value) {
            addview(key.title, key.id);
        });
    } else {
        addview(restext);
    }
    // activate the first tab
    if (tabPanel) tabPanel.setActiveTab(0);

    Ext.getCmp('centercenter').add(tabPanel);
    
    //if no resource are existing inform user how to proceed
    if ( document.getElementById('hintHowToNewBox') && rescount == 0 ) {
        document.getElementById('hintHowToNewBox').style.visibility = "visible";
    }

	// add context menu to panel body
    // document.getElementById('centercenter').oncontextmenu=contextMenuExt;
    
    //release page blocker aufter redering the panel and grid
    blockBrowser(false);
    

}










